//
//  AddCardModel.h
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Leftor d.o.o. All rights reserved.
//

#import "Customer.h"

@interface AddCardModel : NSObject

@property(strong,nonatomic) NSString *client;
@property(strong,nonatomic) NSString *merchantId;
@property(strong,nonatomic) NSString *orderInfo;
@property(strong,nonatomic) NSString *orderNumber;
@property(strong,nonatomic) NSString *sign;
@property(strong,nonatomic) NSString *amount;
@property(strong,nonatomic) NSString *currency;
@property(strong,nonatomic) NSString *clientSecret;
@property(strong,nonatomic) NSString *authToken;
@property(strong,nonatomic) NSString *digest;
@property(strong,nonatomic) Customer *customer;
@property(strong,nonatomic) NSDictionary *params;

-(id) init: (NSString * ) merchantId
    client:(NSString * ) client
    orderInfo:(NSString * ) orderInfo
    orderNumber:(NSString * ) orderNumber
    sign:(NSString * ) sign
    amount:(NSString * ) amount
    currency:(NSString * ) currency
    clientSecret:(NSString * ) clientSecret
    authToken:(NSString * ) authToken;

-(id) init: (NSString * ) merchantId
    client:(NSString * ) client
 orderInfo:(NSString * ) orderInfo
orderNumber:(NSString * ) orderNumber
      sign:(NSString * ) sign
    amount:(NSString * ) amount
  currency:(NSString * ) currency
clientSecret:(NSString * ) clientSecret
 authToken:(NSString * ) authToken
  customer: (Customer *) customer;

-(id) init: (NSString * ) merchantId
    client:(NSString * ) client
 orderInfo:(NSString * ) orderInfo
orderNumber:(NSString * ) orderNumber
        sign:(NSString * ) sign
        amount:(NSString * ) amount
        currency:(NSString * ) currency
        clientSecret:(NSString * ) clientSecret
        authToken:(NSString * ) authToken
        customer: (Customer *) customer
      params: (NSDictionary *) params;

-(NSString *) toInput;
@end
