//
//  PayCvvViewController.m
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//

#import "PayCvvViewController.h"

@interface PayCvvViewController ()
@property (weak, nonatomic) IBOutlet WebtehWebView *webtehWebView;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *progressBar;

@end

@implementation PayCvvViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    PgwApi *api = [[PgwApi alloc] init:@"00001111222233330000111122223333" isDebug:true];
    NSTimeInterval  today = [[NSDate date] timeIntervalSince1970];
    NSString *orderNumber = [NSString stringWithFormat:@"%.0f", today*1000];
    
    TransactionLifecycleAdapter * adapter = [[TransactionLifecycleAdapter alloc] init:self api:api merchantKey:@"TestKeyXULLyvgWyPJSwOHe" orderNumber:orderNumber mode:SHOW_ORDER_RESPONSE];
    [_webtehWebView initialize:adapter isDebug:true timeout:10000];
    
    PayCvvModel *model = [[PayCvvModel alloc] init:@"007007007007"
                                           pmAlias:@"OD5rYxewlhi96gZSPlXYufoS6oIja9daJ1e_14_v"
                                            client:@"cvv_ios"
                                         orderInfo:@"order info"
                                       orderNumber:orderNumber
                                              sign:@"009"
                                            amount:@"1340"
                                          currency:@"EUR"
                                      clientSecret:@"MegaSecretKey"
                                         authToken:@"00001111222233330000111122223333"];
    
    [_webtehWebView payCvv:model];
}

-(void) showProgress{
    NSLog(@"showProgress");
    [self.progressBar startAnimating];
}
-(void) hideProgress{
    NSLog(@"hideProgress");
    [self.progressBar stopAnimating];
}

-(void) handleTransactionError: (ApiError *) error{
    NSLog(@"handleTransactionError %@", error);
}

-(void) transactionSuccess: (TransactionSuccess *) success{
    NSLog(@"transactionSuccess %@", success);
}
    
    -(void) logTransactionInfo:(NSString *)loggingInfo {
        NSLog(@"log info: %@", loggingInfo);
    }

@end

