//
//  RedirectResolver.h
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//
#import <Foundation/Foundation.h>
#import "TransactionLifecycleAdapter.h"
#import "TransactionLifecycleAdapter.h"
#import "TransactionSuccess.h"
#import "TransactionError.h"
#import "InputResolver.h"
#import "BusinessError.h"

@interface RedirectResolver : NSObject
@property(strong,nonatomic) TransactionLifecycleAdapter *transactionLifecycleAdapter;
-(int) resolve: (NSString *) request;
-(void) notifyDelegate: (int) resolvedCode
               request: (NSString *) request;
-(id) init: (TransactionLifecycleAdapter *) adapter
   timeout: (long) timeout;
@end
